Partager via


Cluster Principal Assignments - Get

Obtient un principal de cluster KustoAssignment.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Kusto/clusters/{clusterName}/principalAssignments/{principalAssignmentName}?api-version=2025-02-14

Paramètres URI

Nom Dans Obligatoire Type Description
clusterName
path True

string

pattern: ^.*$

Nom du cluster Kusto.

principalAssignmentName
path True

string

pattern: ^.*$

Nom du principal KustoAssignment.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Nom du groupe de ressources. Le nom ne respecte pas la casse.

subscriptionId
path True

string

minLength: 1

ID de l’abonnement cible.

api-version
query True

string

minLength: 1

Version de l’API à utiliser pour cette opération.

Réponses

Nom Type Description
200 OK

ClusterPrincipalAssignment

Opération Azure terminée avec succès.

Other Status Codes

ErrorResponse

Réponse d’erreur inattendue.

Sécurité

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flux: implicit
URL d’autorisation: https://login.microsoftonline.com/common/oauth2/authorize

Étendues

Nom Description
user_impersonation emprunter l’identité de votre compte d’utilisateur

Exemples

KustoClusterPrincipalAssignmentsGet

Exemple de requête

GET https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/clusters/kustoCluster/principalAssignments/kustoprincipal1?api-version=2025-02-14

Exemple de réponse

{
  "name": "kustoCluster/kustoprincipal1",
  "type": "Microsoft.Kusto/Clusters/PrincipalAssignments",
  "id": "/subscriptions/12345678-1234-1234-1234-123456789098/resourceGroups/kustorptest/providers/Microsoft.Kusto/Clusters/kustoCluster/PrincipalAssignments/kustoprincipal1",
  "properties": {
    "aadObjectId": "98765432-1234-1234-1234-123456789123",
    "principalId": "87654321-1234-1234-1234-123456789123",
    "principalName": "TestApp",
    "principalType": "App",
    "provisioningState": "Succeeded",
    "role": "AllDatabasesAdmin",
    "tenantId": "12345678-1234-1234-1234-123456789123",
    "tenantName": "tenantName"
  }
}

Définitions

Nom Description
ClusterPrincipalAssignment

La classe représente un assigné principal de cluster.

ClusterPrincipalRole

Rôle principal du cluster.

createdByType

Type d’identité qui a créé la ressource.

ErrorAdditionalInfo

Informations supplémentaires sur l’erreur de gestion des ressources.

ErrorDetail

Détail de l’erreur.

ErrorResponse

Réponse d’erreur

PrincipalType

Type de principal.

ProvisioningState

État provisionné de la ressource.

systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

ClusterPrincipalAssignment

La classe représente un assigné principal de cluster.

Nom Type Description
id

string

ID de ressource complet pour la ressource. ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

Nom de la ressource

properties.aadObjectId

string

L’identifiant principal du service dans AAD (Azure Active Directory)

properties.principalId

string

ID du principal affecté au principal du cluster. Il peut s’agir d’un e-mail utilisateur, d’un ID d’application ou d’un nom de groupe de sécurité.

properties.principalName

string

Le nom principal

properties.principalType

PrincipalType

Type de principal.

properties.provisioningState

ProvisioningState

État provisionné de la ressource.

properties.role

ClusterPrincipalRole

Rôle principal du cluster.

properties.tenantId

string

ID de locataire du principal

properties.tenantName

string

Le nom du principal du locataire

systemData

systemData

Métadonnées Azure Resource Manager contenant les informations createdBy et modifiedBy.

type

string

Type de la ressource. Par exemple, « Microsoft.Compute/virtualMachines » ou « Microsoft.Storage/storageAccounts »

ClusterPrincipalRole

Rôle principal du cluster.

Valeur Description
AllDatabasesAdmin

AllDatabasesAdmin

AllDatabasesViewer

AllDatabasesViewer

AllDatabasesMonitor

AllDatabasesMonitor

createdByType

Type d’identité qui a créé la ressource.

Valeur Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Informations supplémentaires sur l’erreur de gestion des ressources.

Nom Type Description
info

object

Informations supplémentaires.

type

string

Type d’informations supplémentaire.

ErrorDetail

Détail de l’erreur.

Nom Type Description
additionalInfo

ErrorAdditionalInfo[]

Informations supplémentaires sur l’erreur.

code

string

Code d’erreur.

details

ErrorDetail[]

Détails de l’erreur.

message

string

Message d’erreur.

target

string

Cible d’erreur.

ErrorResponse

Réponse d’erreur

Nom Type Description
error

ErrorDetail

Objet d’erreur.

PrincipalType

Type de principal.

Valeur Description
App

Application

Group

Groupe

User

Utilisateur

ProvisioningState

État provisionné de la ressource.

Valeur Description
Running

Course à pied

Creating

Création

Deleting

Suppression

Succeeded

Réussi

Failed

Échec

Moving

Émouvant

Canceled

Opération annulée

systemData

Métadonnées relatives à la création et à la dernière modification de la ressource.

Nom Type Description
createdAt

string (date-time)

Horodatage de la création de ressources (UTC).

createdBy

string

Identité qui a créé la ressource.

createdByType

createdByType

Type d’identité qui a créé la ressource.

lastModifiedAt

string (date-time)

Horodatage de la dernière modification de ressource (UTC)

lastModifiedBy

string

Identité qui a modifié la ressource pour la dernière fois.

lastModifiedByType

createdByType

Type d’identité qui a modifié la ressource pour la dernière fois.